<?php
session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();

$accion=$_REQUEST["accion"];
$query=$_REQUEST["query"];

$accion=array_key_exists('accion',$_REQUEST)? $_REQUEST["accion"]: "";
$query=array_key_exists('query',$_REQUEST)? $_REQUEST["query"]: "";
$fila=''; $mensaje=0;

if ($accion==1) {		/////////////////////	TRABAJADORES	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="CEDULA\tAPELLIDOS 1\tAPELLIDOS 2\tNOMBRES 1\tNOMBRES 2\tDIR. HABITACIï¿½N\tTELï¿½FONO\tSEXO\t# HIJOS\tFICHA\tF. NACIMIENTO\tF. INGRESO\tF. EGRESO\tSALARIO MENSUAL\t";
		$cabezera.="GERENCIA\tDEPARTAMENTO\tCARGO\tUNIDAD\tNï¿½MINA\tTURNO\tBANCO\t";
		$cabezera.="DIVISIÓN\tSECTOR\tESTADO\tPAGO\tPARROQUIA\t";
		$cabezera.="NACIONALIDAD\tMUNICIPIO\tAREA\tEDO. CIVIL\tTIPO\tPROFESIï¿½N\tDIRECCIï¿½N\tSTATUS\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			//=========================== tablas
					$q8="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['gerencia']."' and tabla='GERENCIA'";
					$c8=mysqli_query($enlace,$q8);
					$rowx=mysqli_fetch_array($c8);
					$ger=$rowx['detalle'];

					$q9="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['departamento']."' and tabla='DEPARTAMENTO'";
					$c8=mysqli_query($enlace,$q9);
					$rowx=mysqli_fetch_array($c8);
					$dep=$rowx['detalle'];

					$q10="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['cargo']."' and tabla='CARGO'";
					$c8=mysqli_query($enlace,$q10);
					$rowx=mysqli_fetch_array($c8);
					$car=$rowx['detalle'];

					$q11="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['unidad']."' and tabla='UNIDAD'";
					$c8=mysqli_query($enlace,$q11);
					$rowx=mysqli_fetch_array($c8);
					$uni=$rowx['detalle'];

					$q12="select * from nomina where id='".$_SESSION['id_validar']."' and codigo = '".$row['nomina']."' ";
					$c8=mysqli_query($enlace,$q12);
					$rowx=mysqli_fetch_array($c8);
					$nom=$rowx['detalle'];

					$q13="select * from turno where id='".$_SESSION['id_validar']."' and codigo = '".$row['turno']."' ";
					$c8=mysqli_query($enlace,$q13);
					$rowx=mysqli_fetch_array($c8);
					$tur=$rowx['detalle'];

					$q14="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['banco']."' and tabla='BANCO'";
					$c8=mysqli_query($enlace,$q14);
					$rowx=mysqli_fetch_array($c8);
					$ban=$rowx['detalle'];

					$q22="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['division']."' and tabla='DIVISION'";
					$c8=mysqli_query($enlace,$q22);
					$rowx=mysqli_fetch_array($c8);
					$div=$rowx['detalle'];

					$q23="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['sector']."' and tabla='SECTOR'";
					$c8=mysqli_query($enlace,$q23);
					$rowx=mysqli_fetch_array($c8);
					$sec=$rowx['detalle'];

					$q24="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['estado']."' and tabla='ESTADO'";
					$c8=mysqli_query($enlace,$q24);
					$rowx=mysqli_fetch_array($c8);
					$est=$rowx['detalle'];

					$q26="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['parroquia']."' and tabla='PARROQUIA'";
					$c8=mysqli_query($enlace,$q26);
					$rowx=mysqli_fetch_array($c8);
					$par=$rowx['detalle'];

					$q27="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['nacionalidad']."' and tabla='NACIONALIDAD'";
					$c8=mysqli_query($enlace,$q27);
					$rowx=mysqli_fetch_array($c8);
					$nac=$rowx['detalle'];

					$q28="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['municipio']."' and tabla='MUNICIPIO'";
					$c8=mysqli_query($enlace,$q28);
					$rowx=mysqli_fetch_array($c8);
					$mun=$rowx['detalle'];

					$q29="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['area']."' and tabla='AREA'";
					$c8=mysqli_query($enlace,$q29);
					$rowx=mysqli_fetch_array($c8);
					$are=$rowx['detalle'];

					$q30="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['edocivil']."' and tabla='ESTADO CIVIL'";
					$c8=mysqli_query($enlace,$q30);
					$rowx=mysqli_fetch_array($c8);
					$edo=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['direccion']."' and tabla='DIRECCION'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$dir=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['pago']."' and tabla='PAGO'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$pag=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['profesion']."' and tabla='PROFESION'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$pro=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['tipo']."' and tabla='TIPO'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$tip=$rowx['detalle'];

			//=========================== tablas

			$fila.=$row['codigo']."\t".$row['apellidos']."\t".$row['apellidos1']."\t".$row['nombres']."\t".$row['nombres1']."\t";
			$fila.=$row['dir']."\t".$row['telefonos']."\t".$row['sexo']."\t".$row['hijo']."\t".$row['sso']."\t".$row['fechan']."\t".$row['fechai']."\t".$row['fechae']."\t".$row['smes']."\t";
			$fila.=$ger."\t".$dep."\t".$car."\t".$uni."\t".$nom."\t".$tur."\t".$ban."\t";
			$fila.=$div."\t".$sec."\t".$est."\t".$pag."\t".$par."\t".$nac."\t".$mun."\t";
			$fila.=$are."\t".$edo."\t".$tip."\t".$pro."\t".$dir."\t".$row['status']."\n";
		}
		$mensaje=1;
}
if ($accion==2) {		/////////////////////	CONSTANTES	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="Cï¿½DIGO\tDETALLE\tUNIDAD\tFIJO\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t".$row['detalle']."\t".$row['unidad']."\t".$row['fijo']."\n";
		}
		$mensaje=1;
}
if ($accion==3) {		/////////////////////	CONCEPTOS	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="Cï¿½DIGO\tDETALLE\tCUENTA\tTIPO\tFORMULA\tACUMULA\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t".$row['detalle']."\t".$row['cuenta']."\t".$row['tipo']."\t".$row['formula']."\t".$row['acumula']."\n";
		}
		$mensaje=1;
}
if ($accion==4) {		/////////////////////	CONSTANTE INDIVIDUAL		//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="Cï¿½DIGO\tCEDULA\tNOMINA\tMONTO\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t".$row['cedula']."\t".$row['nomina']."\t".$row['monto']."\n";
		}
		$mensaje=1;
}
if ($accion==5) {		/////////////////////	ESTRUCTURAS		//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="Cï¿½DIGO\tTABLA\tDETALLE\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t".$row['tabla']."\t".$row['detalle']."\n";
		}
		$mensaje=1;
}
if ($accion==6) {		/////////////////////	LISTADO DE TRABAJADORES	ACTIVOS CON SUELDO//////////////////////////
			//////////////////VIENE DEL ARCHIVO varios_exportar_sueldos.php //////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="NACIONALIDAD\tCEDULA\tNOMBRES 1\tNOMBRES 2\tAPELLIDOS 1\tAPELLIDOS 2\tFECHA NAC\tSEXO\tGLOBAL ID\tVINCULO\tFEC. INGR\tGRADO SALAR\tSALAR MENS\tSALAR DIAR\tLIDER\tBONO PXCP\tBONO PXLG \tGDR \t";
		$cabezera.="DEPARTAMENTO\tcod. DEPARTAMENTO\tCARGO\tcod. CARGO\tjornada Activa\tUNIDAD\tNOMINA\tSTATUS\n";

		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			//=========================== tablas


					$q9="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['departamento']."' and tabla='DEPARTAMENTO'";
					$c8=mysqli_query($enlace,$q9);
					$rowx=mysqli_fetch_array($c8);
					$dep=$rowx['detalle'];

					$q10="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['cargo']."' and tabla='CARGO'";
					$c8=mysqli_query($enlace,$q10);
					$rowx=mysqli_fetch_array($c8);
					$car=$rowx['detalle'];

					$q11="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['unidad']."' and tabla='UNIDAD'";
					$c8=mysqli_query($enlace,$q11);
					$rowx=mysqli_fetch_array($c8);
					$uni=$rowx['detalle'];

					$q12="select * from nomina where id='".$_SESSION['id_validar']."' and codigo = '".$row['nomina']."' ";
					$c8=mysqli_query($enlace,$q12);
					$rowx=mysqli_fetch_array($c8);
					$nom=$rowx['detalle'];

					$q44="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['tp']."' and tabla='TP'";
					$c44=mysqli_query($enlace,$q44);
					$row44=mysqli_fetch_array($c44);
					$tipoVinculo=$row44['codigo'];




			//=========================== tablas

			$fila.=$row['nacionalidad']."\t".$row['codigo']."\t".$row['nombres']."\t".$row['nombres1']."\t" .$row['apellidos']."\t".$row['apellidos1']."\t";
			$fila.=($row['fechan']>0?date("d/m/Y", strtotime($row['fechan'])):'')."\t";
			$fila.=$row['sexo']."\t".$row['global_id']."\t".$tipoVinculo."\t".($row['fechai']>0?date("d/m/Y", strtotime($row['fechai'])):'')."\t".$row['grado_salar']."\t".$row['smes']."\t".$row['sdia']."\t";
			$fila.=$row['lider']."\t".$row['bono1']."\t".$row['bono2']."\t".$row['gdr']."\t".$dep."\t".$row['departamento']."\t".$car."\t".$row['cargo']."\t";
			$fila.=$row['turno']."\t".$uni."\t".$nom."\t".$row['status']."\n";
		}
		$mensaje=1;
}
if ($accion==7) {		/////////////////////	LISTADO DE TRABAJADORES	TOTAL CON SUELDO//////////////////////////
			//////////////////VIENE DEL ARCHIVO varios_exportar_sueldos.php //////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="NACIONALIDAD\tCEDULA\tNOMBRES 1\tNOMBRES 2\tAPELLIDOS 1\tAPELLIDOS 2\tFECHA NAC\tSEXO\tGLOBAL ID\tVINCULO\tFEC_INGR\tFEC_RETIRO\tGRADO SALAR\tSALAR MENS\tGDR\tBONO PXCP\tBONO PXLG\tLIDER\t";
		$cabezera.="DEPARTAMENTO\tcod. DEPARTAMENTO\tCARGO\tcod. CARGO\tjornada Activa\tUNIDAD\tNOMINA\tSTATUS\n";

		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			//=========================== tablas


					$q9="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['departamento']."' and tabla='DEPARTAMENTO'";
					$c8=mysqli_query($enlace,$q9);
					$rowx=mysqli_fetch_array($c8);
					$dep=$rowx['detalle'];

					$q10="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['cargo']."' and tabla='CARGO'";
					$c8=mysqli_query($enlace,$q10);
					$rowx=mysqli_fetch_array($c8);
					$car=$rowx['detalle'];

					$q11="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['unidad']."' and tabla='UNIDAD'";
					$c8=mysqli_query($enlace,$q11);
					$rowx=mysqli_fetch_array($c8);
					$uni=$rowx['detalle'];

					$q12="select * from nomina where id='".$_SESSION['id_validar']."' and codigo = '".$row['nomina']."' ";
					$c8=mysqli_query($enlace,$q12);
					$rowx=mysqli_fetch_array($c8);
					$nom=$rowx['detalle'];

					$q44="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['tp']."' and tabla='TP'";
					$c44=mysqli_query($enlace,$q44);
					$row44=mysqli_fetch_array($c44);
					$tipoVinculo=$row44['codigo'];




			//=========================== tablas

			$fila.=$row['nacionalidad']."\t".$row['codigo']."\t".$row['nombres']."\t".$row['nombres1']."\t" .$row['apellidos']."\t".$row['apellidos1']."\t";
			$fila.=($row['fechan']>0?date("d/m/Y", strtotime($row['fechan'])):'')."\t";
			$fila.=$row['sexo']."\t".$row['global_id']."\t".$tipoVinculo."\t".($row['fechai']>0?date("d/m/Y", strtotime($row['fechai'])):'')."\t".($row['fechae']>0?date("d/m/Y", strtotime($row['fechae'])):'')."\t".$row['grado_salar']."\t".str_replace('.',',',$row['smes'])."\t";
			$fila.=str_replace('.',',',$row['gdr'])."\t".str_replace('.',',',$row['bono1'])."\t".str_replace('.',',',$row['bono2'])."\t".$row['lider']."\t".$dep."\t".$row['departamento']."\t".$car."\t".$row['cargo']."\t";
			$fila.=$row['turno']."\t".$uni."\t".$nom."\t".$row['status']."\n";
		}
		$mensaje=1;
}
if ($mensaje==1) {
		//================================== mostrar por pantalla
		$fila = str_replace("\r","",$fila);
		$exportar='roster_personal_ford_SAIREH_'.date("Ymd-His").'.xls';
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$exportar");
		header("Pragma: no-cache");
		header("Expires: 0");
		print $cabezera.$fila;
}
mysqli_free_result($consulta);
?>
